﻿using System;
using Xamarin.Forms;
using Notes.Models;

namespace Notes
{
    public partial class NotesPage : ContentPage
    {
        public NotesPage()
        {
            InitializeComponent();
        }

        protected override async void OnAppearing()
        {
            base.OnAppearing();
            StackLayout ViewMemberStackLayout = new StackLayout();

            ListView lst_SavedMembers = new ListView();
            lst_SavedMembers.Header = "List of Saved Members";

            lst_SavedMembers.ItemTemplate= new DataTemplate(typeof(CustomVeggieCell));
            lst_SavedMembers.ItemsSource = await App.Database.GetNotesAsync();
        
     
            lst_SavedMembers.ItemSelected += Lst_SavedMembers_ItemSelected; ;
            ViewMemberStackLayout.Children.Add(lst_SavedMembers);

            Content = ViewMemberStackLayout;
            //   lst_SavedMembers.HeightRequest = 50 * db.Table<SQLMemberDetail>().Count();
            //   listView.ItemsSource = await App.Database.GetNotesAsync();
        }

        private void Lst_SavedMembers_ItemSelected(object sender, SelectedItemChangedEventArgs e)
        {
           // throw new NotImplementedException();
        }

        async void OnNoteAddedClicked(object sender, EventArgs e)
        {
            await Navigation.PushAsync(new NoteEntryPage
            {
                BindingContext = new Note()
            });
        }

        async void OnListViewItemSelected(object sender, SelectedItemChangedEventArgs e)
        {
            if (e.SelectedItem != null)
            {
                await Navigation.PushAsync(new NoteEntryPage
                {
                    BindingContext = e.SelectedItem as Note
                });
            }
        }
    }
}
